Warehouse Chief Moke:
The fundamental characteristics of Scavengers and Artisans are that the Scavenger collects rare materials and the Artisan makes something valuable from those materials. Therefore, a Scavenger must have above average physical strength and combat abilities. He is a great hunter who will brave any danger to collect valuable materials.
The most talented Scavengers are selected to be Bounty Hunters. Bounty Hunters go to the extreme to find arcane items like dragon scales.
Ask about changing profession to a Scavenger
Change profession to a Scavenger
Return